> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> This endpoint returns a list of payment methods.



## OpenAPI

````yaml /global-account/v1.6/banking.yaml get /v1/beneficiaries/paymentmethods
openapi: 3.0.2
info:
  title: Banking API
  version: 0.0.1
  description: >
    UQPAY Banking API provides comprehensive banking and payment solutions for
    global money movement.


    ## Key Features

    - International payments and transfers

    - Multi-currency account management

    - Real-time currency conversion

    - Virtual account services

    - Fund deposit and withdrawal


    ## Authentication

    Use API keys to authenticate your client requests when utilizing UQPAY APIs.

    API keys are unique data strings used to authenticate users and enable
    access to privileged operations.

    Your API key should be kept confidential and secure at all times.


    ## Service Components

    - **Payout**: Create and manage international fund transfers to
    beneficiaries

    - **Payer**: Manage entities making payments and authorizing fund transfers

    - **Beneficiary**: Handle recipient information and bank details

    - **Balance**: View and manage multi-currency account balances

    - **Deposit**: Process incoming fund transfers

    - **Virtual Accounts**: Utilize local bank accounts in foreign currencies

    - **Conversion**: Execute currency exchange at competitive rates


    ## Getting Started

    1. Obtain API credentials

    2. Set up test environment using sandbox URL

    3. Implement authentication

    4. Start with basic operations


    ## Support

    For technical support and integration assistance, contact UQPAY support
    team.
  contact:
    name: UQPAY Support
    url: https://www.uqpay.com/support
    email: banking.tech@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: banking-api-v1.6.0
  x-logo:
    url: https://uqpay.com/img/UQPAY_LogoAnimv2.gif
    backgroundColor: '#FFFFFF'
    altText: UQPAY Logo
  x-categories:
    - Banking
    - Payment Processing
    - Foreign Exchange
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Balances
    description: >-
      View and manage available funds across different currencies in your
      account.
  - name: Transfers
    description: >-
      A wallet transfer resource is used for sending funds directly from your
      UQPAY account to a connected account.
  - name: Deposits
    description: >-
      Deposits are bank transfers made into your UQPAY Global Accounts for
      adding funds or collecting funds from third parties.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts function as local bank accounts in foreign currencies.
      They enable worldwide fund collection with account details that allow you
      to receive funds from various platforms. Virtual Accounts can also be used
      to top up your UQPAY balance.
  - name: Payout
    description: >-
      A Payout resource is created when you send funds to a beneficiary. It
      details the beneficiary, bank details, the amount being paid, its status,
      and other relevant information. You can create the payout using either
      direct beneficiary details or a previously created beneficiary ID.
  - name: Payers
    description: >-
      The payer is the party making the payout and authorizing the transfer of
      funds from their account to the beneficiary's account.
  - name: Beneficiaries
    description: >-
      The beneficiary is the recipient of the funds and is typically the party
      who will ultimately benefit from the payout.
  - name: Conversion
    description: Manage currency conversions and exchange rates for your transactions.
  - name: Exchange Rates
    description: >-
      Retrieve real-time exchange rates for a specified currency pair or all
      available pairs.
  - name: Global Accounts
    description: >-
      ⚠️ WARNING This API version is deprecated. Eventually, a deprecated API
      version becomes unsupported. Global Accounts are foreign currency accounts
      that function as local bank accounts.
  - name: Simulator
    description: Simulate deposit transactions on the sandbox environment.
paths:
  /v1/beneficiaries/paymentmethods:
    get:
      tags:
        - Beneficiaries
      summary: List Payment Methods
      description: This endpoint returns a list of payment methods.
      operationId: list-payment-methods
      parameters:
        - $ref: '#/components/parameters/RequiredCurrency'
        - $ref: '#/components/parameters/RequiredCountryCode'
      responses:
        '200':
          description: OK - Successfully retrieved a list of payment methods.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PaymentMethodResponse'
      security:
        - XAuthToken: []
components:
  parameters:
    RequiredCurrency:
      name: currency
      description: >-
        Currency of the beneficiary.Three-letter [ISO
        4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
      in: query
      required: true
      schema:
        type: string
        example: USD
    RequiredCountryCode:
      name: country
      in: query
      required: true
      schema:
        type: string
        example: SG
      description: >-
        Two-letter country code [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    PaymentMethodResponse:
      type: object
      required:
        - country
        - currency
        - clearing_systems
        - payment_method
      properties:
        country:
          $ref: '#/components/schemas/CountryCode'
        currency:
          $ref: '#/components/schemas/Currency'
        clearing_systems:
          $ref: '#/components/schemas/ClearingSystems'
        payment_method:
          $ref: '#/components/schemas/PaymentMethod'
    CountryCode:
      type: string
      example: SG
      description: >-
        Two-letter country code [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      maxLength: 2
      minLength: 2
    Currency:
      type: string
      example: USD
      description: >-
        Currency in which money is held in the beneficiary's bank account.
        Three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency
        code.
      maxLength: 3
      minLength: 3
    ClearingSystems:
      type: string
      example: SWIFT
      description: >
        Specifies the clearing system to be used for the transaction. The
        available options vary by currency and correspond to the local payment
        infrastructure.  


        - **USD:** `ACH`, `Fedwire`, `SWIFT`

        - **SGD:** `FAST`, `GIRO`, `RTGS`, `SWIFT`, `PayNow`

        - **CNH:** `LOCAL`, `SWIFT`

        - **HKD:** `ACH`, `FPS`, `RTGS`, `SWIFT`

        - **EUR:** `LOCAL`, `SWIFT`

        - **CAD:** `EFT`, `Interac e-Transfer`, `SWIFT`, `Bill Payment`

        - **MYR:** `LOCAL`

        - **GBP:** `Faster Payments`, `CHAPS`, `SWIFT`

        - **IDR:** `LOCAL`

        - **JPY:** `LOCAL`, `SWIFT`

        - **NZD:** `Bank Transfer`, `SWIFT`

        - **AUD:** `Bank Transfer`, `SWIFT`
      enum:
        - LOCAL
        - SWIFT
        - ACH
        - FAST
        - MEPS
        - GIRO
        - Fedwire
        - Faster Payments
        - RTGS
        - FPS
        - EFT
        - Interac e-Transfer
        - Bill Payment
        - CHAPS
        - Bank Transfer
        - ACH
        - Fedwire
        - SWIFT
        - FAST
        - GIRO
        - RTGS
        - LOCAL
        - FPS
        - EFT
        - Interac e-Transfer
        - Bill Payment
        - Faster Payments
        - CHAPS
        - Bank Transfer
    PaymentMethod:
      type: string
      example: LOCAL
      description: >
        The payment method needs to be specified to ensure that accurate banking
        details are captured and validated for the specified payment method.


        - `LOCAL`: Payment processed through domestic payment networks with
        local clearing systems.

        - `SWIFT`: International payment processed through the SWIFT network for
        cross-border transfers.
      enum:
        - LOCAL
        - SWIFT
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````